package com.zm.order.tool.server.exception;

/**
 * 内部Http请求异常
 *
 * @author 宋欢
 */
public class InnerApiException extends RuntimeException {
    public InnerApiException() {}

    /**
     * Http状态码
     */
    private int statusCode;

    public InnerApiException(String message) {
        super(message);
    }

    public InnerApiException(String message, int statusCode) {
        super(message);
        this.statusCode = statusCode;
    }

    public int getStatusCode() {
        return statusCode;
    }
}
